View Issue Details

IDProjectCategoryView StatusLast Update
0013300LazarusLCLpublic2011-12-01 11:24
Reporternicola gorlandiAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target VersionFixed in Version 
Summary0013300: TScrollBox and WinCE
DescriptionTScrollBox doesn't work on Wince. Create a Form, add a Tscrollbox object with Align set to alClient.

Now put a TDbEdit inside the Scrollbox, set Anchors to ( Left ,Top), set width to 400 (for example).

When you run the application on wince the scrollbar (in this example Horizzontal) when moved it moved the control too.
Additional InformationIn Win32 the same application is allright
Tagswince
Fixed in Revision25897
LazTarget-
WidgetsetWinCE
Attached Files

Relationships

has duplicate 0016638 closedFelipe Monteiro de Carvalho WinCE: Client area of scrollbox is scrolled in wrong direction 
related to 0014823 closedFelipe Monteiro de Carvalho WinCE: Sending a scroll message to a grid with hidden/deactivated scrollbar shows that scrollbar 
related to 0011567 closedFelipe Monteiro de Carvalho ScrollBox doesn't work properly 
related to 0016379 closedFelipe Monteiro de Carvalho WinCE: TImage is not drawn at it's correct position in TScrollBox 

Activities

Felipe Monteiro de Carvalho

2010-06-04 19:13

developer   ~0038315

Fixed in the patch in the duplicate

Issue History

Date Modified Username Field Change
2009-03-09 17:03 nicola gorlandi New Issue
2009-03-09 17:03 nicola gorlandi Widgetset => WinCE
2009-03-10 01:21 Felipe Monteiro de Carvalho Status new => assigned
2009-03-10 01:21 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2009-10-20 16:59 Felipe Monteiro de Carvalho Relationship added related to 0014823
2009-10-20 17:03 Felipe Monteiro de Carvalho Tag Attached: wince
2010-06-04 18:58 Felipe Monteiro de Carvalho Relationship added has duplicate 0016638
2010-06-04 19:13 Felipe Monteiro de Carvalho Fixed in Revision => 25897
2010-06-04 19:13 Felipe Monteiro de Carvalho LazTarget => -
2010-06-04 19:13 Felipe Monteiro de Carvalho Status assigned => resolved
2010-06-04 19:13 Felipe Monteiro de Carvalho Resolution open => fixed
2010-06-04 19:13 Felipe Monteiro de Carvalho Note Added: 0038315
2010-06-04 19:15 Felipe Monteiro de Carvalho Relationship added related to 0011567
2010-06-04 19:16 Felipe Monteiro de Carvalho Relationship added related to 0016379
2011-12-01 11:24 Marc Weustink Status resolved => closed